dddn
Mechanical
- Nov 26, 2022
- 35
Hi all, does anyone know how to use the TopologyCGMFace command inside a for loop?
the code is as follows
Sub CATMain()
Dim partDocument1 As Document
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
Set selection1= partDocument1.Selection
Set hybridShapeFactory1 = part1.HybridShapeFactory
Dim ElementsArray(0)
ElementsArray(0) = "AnyObject"
Status = selection1.SelectElement3(ElementsArray, "name", True, CATMultiSelTriggWhenUserValidatesSelection, False)
For n = 1 To selection1.Count
Set selectedProd1 = selection1.Item.Value
selectProd1.Search("Topology.CGMFace,sel") '''''This is the error line
Next
Thanks